.input-group {
	&:extend( .d-flex );
	&:extend( .align-items-stretch );
	&:extend( .flex-nowrap );
	
	.form-control {
		flex-grow: 1;
		flex-shrink: 1;
		flex-basis: 100%;
		margin: 0;

		&:not( :last-child ) {
			border-top-right-radius: 0;
			border-bottom-right-radius: 0;
		}
	}
	
	.input-group-prepend,
	.input-group-append {
		flex-grow: 0;
		flex-shrink: 0;
		flex-basis: auto;
	}

	.input-group-append {

		> .btn {
			border-top-left-radius: 0;
			border-bottom-left-radius: 0;		
		}
	}
}
